"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nprogressPlugin = void 0;
const utils_1 = require("@vuepress/utils");
const nprogressPlugin = (_, app) => {
    if (app.env.isDev && app.options.bundler.endsWith('vite')) {
        // eslint-disable-next-line import/no-extraneous-dependencies
        app.options.bundlerConfig.viteOptions = require('vite').mergeConfig(app.options.bundlerConfig.viteOptions, {
            optimizeDeps: {
                include: ['nprogress'],
            },
        });
    }
    return {
        name: '@vuepress/plugin-nprogress',
        clientAppSetupFiles: utils_1.path.resolve(__dirname, '../client/clientAppSetup.js'),
    };
};
exports.nprogressPlugin = nprogressPlugin;
